import { AuthService } from './auth.service';
import { RegisterAuthDto } from './dto/register-auth.dto';
import { LoginAuthDto } from './dto/login-auth.dto';
import { RecoverPassDto } from './dto/recover-pass.dto';
import { ValidateCode } from './dto/validate-code.dto';
import { RestorePassDto } from './dto/restore-pass.dto';
export declare class AuthController {
    private readonly authService;
    constructor(authService: AuthService);
    registerUser(dto: RegisterAuthDto): Promise<{
        message: string;
    }>;
    loginUser(dto: LoginAuthDto): Promise<{
        token: string;
    }>;
    recoverPass(dto: RecoverPassDto): Promise<{
        message: string;
    }>;
    validateCode(dto: ValidateCode): Promise<{
        message: string;
    }>;
    restorePass(dto: RestorePassDto): Promise<{
        message: string;
    }>;
}
