import { JwtService } from '@nestjs/jwt';
import { Repository } from 'typeorm';
import { RegisterAuthDto } from './dto/register-auth.dto';
import { LoginAuthDto } from './dto/login-auth.dto';
import { RecoverPassDto } from './dto/recover-pass.dto';
import { ValidateCode } from './dto/validate-code.dto';
import { RestorePassDto } from './dto/restore-pass.dto';
import { User } from 'src/users/entities/user.entity';
export declare class AuthService {
    private userRepository;
    private jwtService;
    constructor(userRepository: Repository<User>, jwtService: JwtService);
    findByDocument(document: string): Promise<User>;
    findByEmail(email: string): Promise<User>;
    private generateCode;
    private hiddenMail;
    register(userObject: RegisterAuthDto): Promise<{
        message: string;
    }>;
    login(userObject: LoginAuthDto): Promise<{
        token: string;
    }>;
    recoverPass(userObject: RecoverPassDto): Promise<{
        message: string;
    }>;
    sendEmailLink(email: string, name: string, password_recovery_code: string): Promise<void>;
    validateCode(validateCode: ValidateCode): Promise<{
        message: string;
    }>;
    restorePass(restorePass: RestorePassDto): Promise<{
        message: string;
    }>;
}
