"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Manager = void 0;
const typeorm_1 = require("typeorm");
const companies_entity_1 = require("./companies.entity");
const inscription_entity_1 = require("../inscriptions/entities/inscription.entity");
let Manager = exports.Manager = class Manager {
};
__decorate([
    (0, typeorm_1.PrimaryGeneratedColumn)(),
    __metadata("design:type", Number)
], Manager.prototype, "id", void 0);
__decorate([
    (0, typeorm_1.Column)({ type: 'varchar', length: 50, comment: 'Nombre completo del encargado' }),
    __metadata("design:type", String)
], Manager.prototype, "name", void 0);
__decorate([
    (0, typeorm_1.Column)({ type: 'varchar', unique: true, length: 200, comment: 'Correo del encargado' }),
    __metadata("design:type", String)
], Manager.prototype, "email", void 0);
__decorate([
    (0, typeorm_1.Column)({ type: 'varchar', length: 100, comment: 'Nombre del cargo al que pertenece' }),
    __metadata("design:type", String)
], Manager.prototype, "charge", void 0);
__decorate([
    (0, typeorm_1.Column)({ type: 'integer', comment: 'Id de la empresa a la que pertenece el encargado' }),
    __metadata("design:type", Number)
], Manager.prototype, "company_id", void 0);
__decorate([
    (0, typeorm_1.ManyToOne)(() => companies_entity_1.Company, (company) => company.managers),
    (0, typeorm_1.JoinColumn)({ name: 'company_id' }),
    __metadata("design:type", companies_entity_1.Company)
], Manager.prototype, "company", void 0);
__decorate([
    (0, typeorm_1.Column)({ type: 'boolean', default: true, comment: 'Si esta activo o no (1 para si, 0 para no)' }),
    __metadata("design:type", Boolean)
], Manager.prototype, "is_active", void 0);
__decorate([
    (0, typeorm_1.Column)({ type: 'boolean', default: true, comment: 'Borrado lógico (1 para si, 0 para no)' }),
    __metadata("design:type", Boolean)
], Manager.prototype, "state", void 0);
__decorate([
    (0, typeorm_1.OneToMany)(() => inscription_entity_1.Inscription, (inscriptions) => inscriptions.manager),
    __metadata("design:type", Array)
], Manager.prototype, "inscriptions", void 0);
exports.Manager = Manager = __decorate([
    (0, typeorm_1.Entity)('managers')
], Manager);
//# sourceMappingURL=managers.entity.js.map