"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Membership = void 0;
const typeorm_1 = require("typeorm");
const membership_ranks_dates_entity_1 = require("./membership_ranks_dates.entity");
const events_entity_1 = require("./events.entity");
const inscription_entity_1 = require("../inscriptions/entities/inscription.entity");
let Membership = exports.Membership = class Membership {
};
__decorate([
    (0, typeorm_1.PrimaryGeneratedColumn)(),
    __metadata("design:type", Number)
], Membership.prototype, "id", void 0);
__decorate([
    (0, typeorm_1.Column)({ type: 'varchar', length: 50, comment: 'Nombre de la membresia' }),
    __metadata("design:type", String)
], Membership.prototype, "name", void 0);
__decorate([
    (0, typeorm_1.Column)({ type: 'varchar', length: 50, nullable: true, comment: 'Descripción de la membresia' }),
    __metadata("design:type", String)
], Membership.prototype, "description", void 0);
__decorate([
    (0, typeorm_1.Column)({ type: 'integer', comment: 'Id del evento al que pertenece esa configuración de membresia' }),
    __metadata("design:type", Number)
], Membership.prototype, "event_id", void 0);
__decorate([
    (0, typeorm_1.ManyToOne)(() => events_entity_1.Event, (event) => event.memberships),
    (0, typeorm_1.JoinColumn)({ name: 'event_id' }),
    __metadata("design:type", events_entity_1.Event)
], Membership.prototype, "event", void 0);
__decorate([
    (0, typeorm_1.Column)({ type: 'boolean', default: true, comment: 'Borrado lógico (1 para si, 0 para no)' }),
    __metadata("design:type", Boolean)
], Membership.prototype, "state", void 0);
__decorate([
    (0, typeorm_1.OneToMany)(() => membership_ranks_dates_entity_1.MembershipRanksDates, (membershipRanksDates) => membershipRanksDates.membership),
    __metadata("design:type", Array)
], Membership.prototype, "membershipRanksDates", void 0);
__decorate([
    (0, typeorm_1.OneToMany)(() => inscription_entity_1.Inscription, (inscriptions) => inscriptions.membership),
    __metadata("design:type", Array)
], Membership.prototype, "inscriptions", void 0);
exports.Membership = Membership = __decorate([
    (0, typeorm_1.Entity)('memberships')
], Membership);
//# sourceMappingURL=memberships.entity.js.map