"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.PaymentForInscription = void 0;
const inscription_entity_1 = require("../inscriptions/entities/inscription.entity");
const typeorm_1 = require("typeorm");
let PaymentForInscription = exports.PaymentForInscription = class PaymentForInscription {
};
__decorate([
    (0, typeorm_1.PrimaryGeneratedColumn)(),
    __metadata("design:type", Number)
], PaymentForInscription.prototype, "id", void 0);
__decorate([
    (0, typeorm_1.Column)({ type: 'integer', comment: 'Id de la inscripción a la que pertenece el pago' }),
    __metadata("design:type", Number)
], PaymentForInscription.prototype, "inscription_id", void 0);
__decorate([
    (0, typeorm_1.OneToOne)(() => inscription_entity_1.Inscription, (inscription) => inscription.paymentForInscription),
    (0, typeorm_1.JoinColumn)({ name: 'inscription_id' }),
    __metadata("design:type", inscription_entity_1.Inscription)
], PaymentForInscription.prototype, "inscription", void 0);
__decorate([
    (0, typeorm_1.Column)({ type: 'varchar', nullable: true, comment: 'Total pagado' }),
    __metadata("design:type", String)
], PaymentForInscription.prototype, "total_paid", void 0);
__decorate([
    (0, typeorm_1.Column)({ type: 'varchar', nullable: true, comment: 'Fecha del pago' }),
    __metadata("design:type", String)
], PaymentForInscription.prototype, "date", void 0);
__decorate([
    (0, typeorm_1.Column)({ type: 'varchar', nullable: true, comment: 'Tipo de tarjeta' }),
    __metadata("design:type", String)
], PaymentForInscription.prototype, "type", void 0);
__decorate([
    (0, typeorm_1.Column)({ type: 'varchar', nullable: true, comment: 'Ambiente' }),
    __metadata("design:type", String)
], PaymentForInscription.prototype, "oper", void 0);
__decorate([
    (0, typeorm_1.Column)({ type: 'varchar', nullable: true, comment: 'Usuario' }),
    __metadata("design:type", String)
], PaymentForInscription.prototype, "user", void 0);
__decorate([
    (0, typeorm_1.Column)({ type: 'varchar', nullable: true, comment: 'Correo' }),
    __metadata("design:type", String)
], PaymentForInscription.prototype, "email", void 0);
__decorate([
    (0, typeorm_1.Column)({ type: 'varchar', nullable: true, comment: 'Ambiente' }),
    __metadata("design:type", String)
], PaymentForInscription.prototype, "state", void 0);
__decorate([
    (0, typeorm_1.Column)({ type: 'varchar', nullable: true, comment: 'Razón' }),
    __metadata("design:type", String)
], PaymentForInscription.prototype, "reason", void 0);
__decorate([
    (0, typeorm_1.Column)({ type: 'varchar', nullable: true, comment: 'Monto enviado a la pasarela' }),
    __metadata("design:type", String)
], PaymentForInscription.prototype, "CMTN", void 0);
__decorate([
    (0, typeorm_1.Column)({ type: 'varchar', nullable: true, comment: 'Token del usuario' }),
    __metadata("design:type", String)
], PaymentForInscription.prototype, "CCLW", void 0);
__decorate([
    (0, typeorm_1.Column)({ type: 'varchar', comment: 'Número de orden' }),
    __metadata("design:type", String)
], PaymentForInscription.prototype, "CDSC", void 0);
exports.PaymentForInscription = PaymentForInscription = __decorate([
    (0, typeorm_1.Entity)('payment_for_inscription')
], PaymentForInscription);
//# sourceMappingURL=payment_%20for_inscription.entity.js.map