"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.IndicatorsController = void 0;
const common_1 = require("@nestjs/common");
const indicators_service_1 = require("./indicators.service");
const swagger_1 = require("@nestjs/swagger");
const jwt_auth_guard_1 = require("../jwt/jwt-auth.guard");
let IndicatorsController = exports.IndicatorsController = class IndicatorsController {
    constructor(indicatorsService) {
        this.indicatorsService = indicatorsService;
    }
    async registeredPeople() {
        return await this.indicatorsService.registeredPeople();
    }
    async registeredPeopleApproved() {
        return await this.indicatorsService.registeredPeopleApproved();
    }
    async registeredPeopleNotApproved() {
        return await this.indicatorsService.registeredPeopleNotApproved();
    }
    async registeredInscriptions() {
        return await this.indicatorsService.registeredInscriptions();
    }
    async registeredInscriptionsApproved() {
        return await this.indicatorsService.registeredInscriptionsApproved();
    }
};
__decorate([
    (0, common_1.HttpCode)(200),
    (0, common_1.Get)('/registeredPeople'),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", []),
    __metadata("design:returntype", Promise)
], IndicatorsController.prototype, "registeredPeople", null);
__decorate([
    (0, common_1.HttpCode)(200),
    (0, common_1.Get)('/registeredPeopleApproved'),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", []),
    __metadata("design:returntype", Promise)
], IndicatorsController.prototype, "registeredPeopleApproved", null);
__decorate([
    (0, common_1.HttpCode)(200),
    (0, common_1.Get)('/registeredPeopleNotApproved'),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", []),
    __metadata("design:returntype", Promise)
], IndicatorsController.prototype, "registeredPeopleNotApproved", null);
__decorate([
    (0, common_1.HttpCode)(200),
    (0, common_1.Get)('/registeredInscriptions'),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", []),
    __metadata("design:returntype", Promise)
], IndicatorsController.prototype, "registeredInscriptions", null);
__decorate([
    (0, common_1.HttpCode)(200),
    (0, common_1.Get)('/registeredInscriptionsApproved'),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", []),
    __metadata("design:returntype", Promise)
], IndicatorsController.prototype, "registeredInscriptionsApproved", null);
exports.IndicatorsController = IndicatorsController = __decorate([
    (0, swagger_1.ApiBearerAuth)(),
    (0, swagger_1.ApiTags)('indicators'),
    (0, common_1.UseGuards)(jwt_auth_guard_1.JwtAuthGuard),
    (0, common_1.Controller)('indicators'),
    __metadata("design:paramtypes", [indicators_service_1.IndicatorsService])
], IndicatorsController);
//# sourceMappingURL=indicators.controller.js.map