"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var __param = (this && this.__param) || function (paramIndex, decorator) {
    return function (target, key) { decorator(target, key, paramIndex); }
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.IndicatorsService = void 0;
const common_1 = require("@nestjs/common");
const typeorm_1 = require("@nestjs/typeorm");
const memberships_entity_1 = require("../entities-globals/memberships.entity");
const participants_for_inscription_entity_1 = require("../entities-globals/participants_for_inscription.entity");
const inscription_entity_1 = require("../inscriptions/entities/inscription.entity");
const typeorm_2 = require("typeorm");
let IndicatorsService = exports.IndicatorsService = class IndicatorsService {
    constructor(repositoryInscription, repositoryParticipantForInscription, repositoryMembership) {
        this.repositoryInscription = repositoryInscription;
        this.repositoryParticipantForInscription = repositoryParticipantForInscription;
        this.repositoryMembership = repositoryMembership;
    }
    async registeredPeople() {
        const memberships = await this.repositoryMembership.createQueryBuilder("memberships").getMany();
        let data = [];
        for (let membership of memberships) {
            let inscriptions = await this.repositoryInscription.createQueryBuilder("inscription")
                .leftJoinAndSelect("inscription.membership", "membership")
                .where("inscription.membership_id = :membershipId", { membershipId: membership.id })
                .getMany();
            let amount = 0;
            for (let inscription of inscriptions) {
                amount = amount + await this.repositoryParticipantForInscription.createQueryBuilder("participantForInscription")
                    .where("participantForInscription.inscription_id = :inscriptionId ", { inscriptionId: inscription.id })
                    .getCount();
            }
            data.push({
                membership: membership.name,
                amount: amount
            });
        }
        return data;
    }
    async registeredPeopleApproved() {
        const way_to_pays = ["Transferencia ACH", "Tarjeta De Crédito"];
        let data = [];
        for (let way_to_pay of way_to_pays) {
            let inscriptions = await this.repositoryInscription.createQueryBuilder("inscription")
                .where("inscription.way_to_pay = :way_to_pay", { way_to_pay: way_to_pay })
                .andWhere("inscription.state_transaction = :state_transaction", { state_transaction: 1 })
                .getMany();
            let amount = 0;
            for (let inscription of inscriptions) {
                amount = amount + await this.repositoryParticipantForInscription.createQueryBuilder("participantForInscription")
                    .where("participantForInscription.inscription_id = :inscriptionId ", { inscriptionId: inscription.id })
                    .getCount();
            }
            data.push({
                wayToPay: way_to_pay,
                amount: amount
            });
        }
        return data;
    }
    async registeredPeopleNotApproved() {
        const inscriptions = await this.repositoryInscription.createQueryBuilder("inscription")
            .andWhere("inscription.state_transaction = :state_transaction", { state_transaction: 0 })
            .getMany();
        let amount = 0;
        let value = 0;
        for (let inscription of inscriptions) {
            amount = amount + await this.repositoryParticipantForInscription.createQueryBuilder("participantForInscription")
                .where("participantForInscription.inscription_id = :inscriptionId ", { inscriptionId: inscription.id })
                .getCount();
            value = value + inscription.total;
        }
        const data = {
            amount: 0,
            value: 0
        };
        data.amount = amount;
        data.value = value;
        return data;
    }
    async registeredInscriptions() {
        const memberships = await this.repositoryMembership.createQueryBuilder("memberships").getMany();
        let data = [];
        for (let membership of memberships) {
            let amount = await this.repositoryInscription.createQueryBuilder("inscription")
                .where("inscription.membership_id = :membershipId", { membershipId: membership.id })
                .getCount();
            data.push({
                membership: membership.name,
                amount: amount
            });
        }
        return data;
    }
    async registeredInscriptionsApproved() {
        const way_to_pays = ["Transferencia ACH", "Tarjeta De Crédito"];
        let data = [];
        for (let way_to_pay of way_to_pays) {
            let amount = await this.repositoryInscription.createQueryBuilder("inscription")
                .where("inscription.way_to_pay = :way_to_pay", { way_to_pay: way_to_pay })
                .andWhere("inscription.state_transaction = :state_transaction", { state_transaction: 1 })
                .getCount();
            data.push({
                wayToPay: way_to_pay,
                amount: amount
            });
        }
        return data;
    }
};
exports.IndicatorsService = IndicatorsService = __decorate([
    (0, common_1.Injectable)(),
    __param(0, (0, typeorm_1.InjectRepository)(inscription_entity_1.Inscription)),
    __param(1, (0, typeorm_1.InjectRepository)(participants_for_inscription_entity_1.ParticipantsForInscription)),
    __param(2, (0, typeorm_1.InjectRepository)(memberships_entity_1.Membership)),
    __metadata("design:paramtypes", [typeorm_2.Repository,
        typeorm_2.Repository,
        typeorm_2.Repository])
], IndicatorsService);
//# sourceMappingURL=indicators.service.js.map