"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Inscription = void 0;
const companies_entity_1 = require("../../entities-globals/companies.entity");
const events_entity_1 = require("../../entities-globals/events.entity");
const managers_entity_1 = require("../../entities-globals/managers.entity");
const memberships_entity_1 = require("../../entities-globals/memberships.entity");
const participants_for_inscription_entity_1 = require("../../entities-globals/participants_for_inscription.entity");
const payment__for_inscription_entity_1 = require("../../entities-globals/payment_ for_inscription.entity");
const typeorm_1 = require("typeorm");
let Inscription = exports.Inscription = class Inscription {
};
__decorate([
    (0, typeorm_1.PrimaryGeneratedColumn)(),
    __metadata("design:type", Number)
], Inscription.prototype, "id", void 0);
__decorate([
    (0, typeorm_1.Column)({ type: 'integer', comment: 'Evento al que pertenece' }),
    __metadata("design:type", Number)
], Inscription.prototype, "event_id", void 0);
__decorate([
    (0, typeorm_1.ManyToOne)(() => events_entity_1.Event, (event) => event.inscriptions),
    (0, typeorm_1.JoinColumn)({ name: 'event_id' }),
    __metadata("design:type", events_entity_1.Event)
], Inscription.prototype, "event", void 0);
__decorate([
    (0, typeorm_1.Column)({ type: 'integer', comment: 'Id de la empresa a la cual queda cargada la inscripción' }),
    __metadata("design:type", Number)
], Inscription.prototype, "company_id", void 0);
__decorate([
    (0, typeorm_1.ManyToOne)(() => companies_entity_1.Company, (company) => company.inscriptions),
    (0, typeorm_1.JoinColumn)({ name: 'company_id' }),
    __metadata("design:type", companies_entity_1.Company)
], Inscription.prototype, "company", void 0);
__decorate([
    (0, typeorm_1.Column)({ type: 'integer', comment: 'Id de la empresa a la cual queda cargada la inscripción' }),
    __metadata("design:type", Number)
], Inscription.prototype, "manager_id", void 0);
__decorate([
    (0, typeorm_1.ManyToOne)(() => managers_entity_1.Manager, (manager) => manager.inscriptions),
    (0, typeorm_1.JoinColumn)({ name: 'manager_id' }),
    __metadata("design:type", managers_entity_1.Manager)
], Inscription.prototype, "manager", void 0);
__decorate([
    (0, typeorm_1.Column)({ type: 'integer', comment: 'Tipo de membresia' }),
    __metadata("design:type", Number)
], Inscription.prototype, "membership_id", void 0);
__decorate([
    (0, typeorm_1.ManyToOne)(() => memberships_entity_1.Membership, (membership) => membership.inscriptions),
    (0, typeorm_1.JoinColumn)({ name: 'membership_id' }),
    __metadata("design:type", memberships_entity_1.Membership)
], Inscription.prototype, "membership", void 0);
__decorate([
    (0, typeorm_1.Column)({ type: 'timestamp', comment: 'Fecha de inscripción' }),
    __metadata("design:type", Date)
], Inscription.prototype, "created", void 0);
__decorate([
    (0, typeorm_1.Column)({ type: 'varchar', length: 100, comment: 'Forma de pago' }),
    __metadata("design:type", String)
], Inscription.prototype, "way_to_pay", void 0);
__decorate([
    (0, typeorm_1.Column)({ type: 'varchar', length: 200, comment: '¿Cómo se entero del evento?' }),
    __metadata("design:type", String)
], Inscription.prototype, "about_the_event", void 0);
__decorate([
    (0, typeorm_1.Column)({ type: 'integer', comment: 'Número de participantes' }),
    __metadata("design:type", Number)
], Inscription.prototype, "number_of_participants", void 0);
__decorate([
    (0, typeorm_1.Column)({ type: 'float', comment: 'Valor por cada participante' }),
    __metadata("design:type", Number)
], Inscription.prototype, "unit_value", void 0);
__decorate([
    (0, typeorm_1.Column)({ type: 'float', comment: 'Total del valor de los participantes' }),
    __metadata("design:type", Number)
], Inscription.prototype, "subtotal", void 0);
__decorate([
    (0, typeorm_1.Column)({ type: 'float', comment: 'Total del valor del descuento' }),
    __metadata("design:type", Number)
], Inscription.prototype, "discount", void 0);
__decorate([
    (0, typeorm_1.Column)({ type: 'float', comment: 'Impuesto del 7% sobre el subtotal' }),
    __metadata("design:type", Number)
], Inscription.prototype, "itbms", void 0);
__decorate([
    (0, typeorm_1.Column)({ type: 'float', comment: 'Valor total de la inscripción' }),
    __metadata("design:type", Number)
], Inscription.prototype, "total", void 0);
__decorate([
    (0, typeorm_1.Column)({ type: 'varchar', nullable: true, comment: 'Comprobante de pago en caso de que el tipo de pago no se tarjeta de crédito' }),
    __metadata("design:type", String)
], Inscription.prototype, "voucher", void 0);
__decorate([
    (0, typeorm_1.Column)({ type: 'boolean', default: false, comment: 'Estado de la transacción (0 para pendiente y 1 para aprobada)' }),
    __metadata("design:type", Boolean)
], Inscription.prototype, "state_transaction", void 0);
__decorate([
    (0, typeorm_1.Column)({ type: 'boolean', default: true, comment: 'Borrado lógico (1 para si, 0 para no)' }),
    __metadata("design:type", Boolean)
], Inscription.prototype, "state", void 0);
__decorate([
    (0, typeorm_1.OneToMany)(() => participants_for_inscription_entity_1.ParticipantsForInscription, (participantsForInscription) => participantsForInscription.inscription),
    __metadata("design:type", Array)
], Inscription.prototype, "participantsForInscription", void 0);
__decorate([
    (0, typeorm_1.OneToOne)(() => payment__for_inscription_entity_1.PaymentForInscription, (paymentForInscription) => paymentForInscription.inscription),
    __metadata("design:type", payment__for_inscription_entity_1.PaymentForInscription)
], Inscription.prototype, "paymentForInscription", void 0);
exports.Inscription = Inscription = __decorate([
    (0, typeorm_1.Entity)('inscriptions')
], Inscription);
//# sourceMappingURL=inscription.entity.js.map