import { InscriptionsService } from './inscriptions.service';
import { CreateInscriptionDto } from './dto/create-inscription.dto';
import { PageOptionsDto } from 'src/dtos-globals/page-options.dto';
import { FiltersDto } from './dto/filters.dto';
import { Response } from 'express';
export declare class InscriptionsController {
    private readonly inscriptionsService;
    constructor(inscriptionsService: InscriptionsService);
    findMemberships(): Promise<import("../entities-globals/memberships.entity").Membership[]>;
    validateIdentity(dto: any): Promise<{
        message: string;
    }>;
    validateEmail(dto: any): Promise<{
        message: string;
    }>;
    findValueParticipant(dto: any): Promise<number>;
    updateVoucher(dto: any): Promise<{
        message: string;
    }>;
    export(filtersDto: FiltersDto, res: Response): Promise<void>;
    updatePayment(dto: any): Promise<void>;
    existCompany(dto: any): Promise<import("../entities-globals/companies.entity").Company>;
    existManager(dto: any): Promise<import("../entities-globals/managers.entity").Manager>;
    hasDiscount(dto: any): Promise<{
        status: boolean;
        message: string;
        value?: undefined;
    } | {
        status: boolean;
        message: string;
        value: number;
    }>;
    getValueDiscount(dto: any): Promise<number>;
    findAll(pageOptionsDto: PageOptionsDto): Promise<import("../dtos-globals/page.dto").PageDto<import("./entities/inscription.entity").Inscription>>;
    findOne(id: number): Promise<any>;
    create(dto: CreateInscriptionDto): Promise<any>;
    update(id: number, dto: CreateInscriptionDto): Promise<any>;
    remove(id: number): Promise<{
        message: string;
    }>;
}
