"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var __param = (this && this.__param) || function (paramIndex, decorator) {
    return function (target, key) { decorator(target, key, paramIndex); }
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.InscriptionsController = void 0;
const common_1 = require("@nestjs/common");
const inscriptions_service_1 = require("./inscriptions.service");
const create_inscription_dto_1 = require("./dto/create-inscription.dto");
const swagger_1 = require("@nestjs/swagger");
const constants_1 = require("../config/constants");
const page_options_dto_1 = require("../dtos-globals/page-options.dto");
const jwt_auth_guard_1 = require("../jwt/jwt-auth.guard");
const filters_dto_1 = require("./dto/filters.dto");
let InscriptionsController = exports.InscriptionsController = class InscriptionsController {
    constructor(inscriptionsService) {
        this.inscriptionsService = inscriptionsService;
    }
    async findMemberships() {
        return await this.inscriptionsService.findMemberships();
    }
    async validateIdentity(dto) {
        return await this.inscriptionsService.validateIdentity(dto.identity);
    }
    async validateEmail(dto) {
        return await this.inscriptionsService.validateEmail(dto.email);
    }
    async findValueParticipant(dto) {
        return await this.inscriptionsService.findValueParticipant(dto);
    }
    async updateVoucher(dto) {
        return await this.inscriptionsService.updateVoucher(dto);
    }
    async export(filtersDto, res) {
        const data = await this.inscriptionsService.generateExcelData(filtersDto);
        const filePath = await this.inscriptionsService.generateExcelFile(data);
        res.setHeader('Content-Type', 'application/vnd.openxmlformats-officedocument.spreadsheetml.sheet');
        res.setHeader('Content-Disposition', 'attachment; filename=exported_data.xlsx');
        const fileStream = this.inscriptionsService.createReadableStream(filePath);
        fileStream.pipe(res);
    }
    async updatePayment(dto) {
        return await this.inscriptionsService.updatePayment(dto);
    }
    async existCompany(dto) {
        return await this.inscriptionsService.existCompany(dto);
    }
    async existManager(dto) {
        return await this.inscriptionsService.existManager(dto);
    }
    async hasDiscount(dto) {
        return await this.inscriptionsService.hasDiscount(dto);
    }
    async getValueDiscount(dto) {
        return await this.inscriptionsService.getValueDiscount(dto);
    }
    async findAll(pageOptionsDto) {
        return this.inscriptionsService.findAll(pageOptionsDto);
    }
    async findOne(id) {
        return await this.inscriptionsService.findOne(id);
    }
    async create(dto) {
        return await this.inscriptionsService.create(dto);
    }
    async update(id, dto) {
        return await this.inscriptionsService.update(id, dto);
    }
    async remove(id) {
        return await this.inscriptionsService.remove(id);
    }
};
__decorate([
    (0, common_1.UsePipes)(new common_1.ValidationPipe({ whitelist: true })),
    (0, common_1.Get)('/findMemberships'),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", []),
    __metadata("design:returntype", Promise)
], InscriptionsController.prototype, "findMemberships", null);
__decorate([
    (0, common_1.HttpCode)(200),
    (0, common_1.Post)('/validateIdentity'),
    (0, common_1.UsePipes)(new common_1.ValidationPipe({ whitelist: true })),
    __param(0, (0, common_1.Body)()),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [Object]),
    __metadata("design:returntype", Promise)
], InscriptionsController.prototype, "validateIdentity", null);
__decorate([
    (0, common_1.HttpCode)(200),
    (0, common_1.Post)('/validateEmail'),
    (0, common_1.UsePipes)(new common_1.ValidationPipe({ whitelist: true })),
    __param(0, (0, common_1.Body)()),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [Object]),
    __metadata("design:returntype", Promise)
], InscriptionsController.prototype, "validateEmail", null);
__decorate([
    (0, common_1.HttpCode)(200),
    (0, common_1.Post)('/findValueParticipant'),
    (0, common_1.UsePipes)(new common_1.ValidationPipe({ whitelist: true })),
    __param(0, (0, common_1.Body)()),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [Object]),
    __metadata("design:returntype", Promise)
], InscriptionsController.prototype, "findValueParticipant", null);
__decorate([
    (0, common_1.HttpCode)(200),
    (0, common_1.Post)('/updateVoucher'),
    (0, common_1.UsePipes)(new common_1.ValidationPipe({ whitelist: true })),
    __param(0, (0, common_1.Body)()),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [Object]),
    __metadata("design:returntype", Promise)
], InscriptionsController.prototype, "updateVoucher", null);
__decorate([
    (0, swagger_1.ApiBearerAuth)(),
    (0, common_1.UseGuards)(jwt_auth_guard_1.JwtAuthGuard),
    (0, common_1.Get)('/export'),
    __param(0, (0, common_1.Query)()),
    __param(1, (0, common_1.Res)()),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [filters_dto_1.FiltersDto, Object]),
    __metadata("design:returntype", Promise)
], InscriptionsController.prototype, "export", null);
__decorate([
    (0, common_1.HttpCode)(200),
    (0, common_1.Post)('/updatePayment'),
    (0, common_1.UsePipes)(new common_1.ValidationPipe({ whitelist: true })),
    __param(0, (0, common_1.Body)()),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [Object]),
    __metadata("design:returntype", Promise)
], InscriptionsController.prototype, "updatePayment", null);
__decorate([
    (0, common_1.HttpCode)(200),
    (0, common_1.Post)('/existCompany'),
    __param(0, (0, common_1.Body)()),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [Object]),
    __metadata("design:returntype", Promise)
], InscriptionsController.prototype, "existCompany", null);
__decorate([
    (0, common_1.HttpCode)(200),
    (0, common_1.Post)('/existManager'),
    __param(0, (0, common_1.Body)()),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [Object]),
    __metadata("design:returntype", Promise)
], InscriptionsController.prototype, "existManager", null);
__decorate([
    (0, common_1.HttpCode)(200),
    (0, common_1.Post)('/hasDiscount'),
    (0, common_1.UsePipes)(new common_1.ValidationPipe({ whitelist: true })),
    __param(0, (0, common_1.Body)()),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [Object]),
    __metadata("design:returntype", Promise)
], InscriptionsController.prototype, "hasDiscount", null);
__decorate([
    (0, common_1.HttpCode)(200),
    (0, common_1.Post)('/getValueDiscount'),
    (0, common_1.UsePipes)(new common_1.ValidationPipe({ whitelist: true })),
    __param(0, (0, common_1.Body)()),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [Object]),
    __metadata("design:returntype", Promise)
], InscriptionsController.prototype, "getValueDiscount", null);
__decorate([
    (0, swagger_1.ApiBearerAuth)(),
    (0, common_1.UseGuards)(jwt_auth_guard_1.JwtAuthGuard),
    (0, common_1.Get)(),
    (0, common_1.HttpCode)(200),
    __param(0, (0, common_1.Query)()),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [page_options_dto_1.PageOptionsDto]),
    __metadata("design:returntype", Promise)
], InscriptionsController.prototype, "findAll", null);
__decorate([
    (0, swagger_1.ApiBearerAuth)(),
    (0, common_1.HttpCode)(200),
    (0, common_1.Get)(':id'),
    __param(0, (0, common_1.Param)('id', common_1.ParseIntPipe)),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [Number]),
    __metadata("design:returntype", Promise)
], InscriptionsController.prototype, "findOne", null);
__decorate([
    (0, common_1.HttpCode)(201),
    (0, common_1.Post)(),
    (0, common_1.UsePipes)(new common_1.ValidationPipe()),
    __param(0, (0, common_1.Body)()),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [create_inscription_dto_1.CreateInscriptionDto]),
    __metadata("design:returntype", Promise)
], InscriptionsController.prototype, "create", null);
__decorate([
    (0, common_1.HttpCode)(201),
    (0, common_1.UsePipes)(new common_1.ValidationPipe({ whitelist: true })),
    (0, common_1.Put)(':id'),
    __param(0, (0, common_1.Param)('id', common_1.ParseIntPipe)),
    __param(1, (0, common_1.Body)()),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [Number, create_inscription_dto_1.CreateInscriptionDto]),
    __metadata("design:returntype", Promise)
], InscriptionsController.prototype, "update", null);
__decorate([
    (0, swagger_1.ApiBearerAuth)(),
    (0, common_1.UseGuards)(jwt_auth_guard_1.JwtAuthGuard),
    (0, common_1.HttpCode)(200),
    (0, common_1.Delete)(':id'),
    __param(0, (0, common_1.Param)('id')),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [Number]),
    __metadata("design:returntype", Promise)
], InscriptionsController.prototype, "remove", null);
exports.InscriptionsController = InscriptionsController = __decorate([
    (0, swagger_1.ApiTags)('inscriptions'),
    (0, constants_1.ApiPaginatedResponse)(create_inscription_dto_1.CreateInscriptionDto),
    (0, common_1.Controller)('inscriptions'),
    __metadata("design:paramtypes", [inscriptions_service_1.InscriptionsService])
], InscriptionsController);
//# sourceMappingURL=inscriptions.controller.js.map