/// <reference types="node" />
import { CreateInscriptionDto } from './dto/create-inscription.dto';
import { Inscription } from './entities/inscription.entity';
import { Repository } from 'typeorm';
import { PageOptionsDto } from 'src/dtos-globals/page-options.dto';
import { PageDto } from 'src/dtos-globals/page.dto';
import { Company } from 'src/entities-globals/companies.entity';
import { Manager } from 'src/entities-globals/managers.entity';
import { Membership } from 'src/entities-globals/memberships.entity';
import { Participant } from 'src/entities-globals/participants.entity';
import { ParticipantsForInscription } from 'src/entities-globals/participants_for_inscription.entity';
import { MembershipRanksDates } from 'src/entities-globals/membership_ranks_dates.entity';
import { ValuesForRanks } from 'src/entities-globals/values_for_ranks.entity';
import { SendGridService } from '@anchan828/nest-sendgrid';
import { FiltersDto } from './dto/filters.dto';
import { Readable } from 'stream';
import { PaymentForInscription } from 'src/entities-globals/payment_ for_inscription.entity';
import { DiscountCode } from 'src/entities-globals/discounts_codes.entity';
export declare class InscriptionsService {
    private repositoryInscription;
    private repositoryCompany;
    private repositoryManager;
    private repositoryMembership;
    private repositoryParticipant;
    private repositoryParticipantForInscription;
    private repositoryMemberShipRanksDates;
    private repositoryValuesForRanks;
    private repositoryPaymentForInscription;
    private repositoryDiscountCode;
    private readonly sendGrid;
    constructor(repositoryInscription: Repository<Inscription>, repositoryCompany: Repository<Company>, repositoryManager: Repository<Manager>, repositoryMembership: Repository<Membership>, repositoryParticipant: Repository<Participant>, repositoryParticipantForInscription: Repository<ParticipantsForInscription>, repositoryMemberShipRanksDates: Repository<MembershipRanksDates>, repositoryValuesForRanks: Repository<ValuesForRanks>, repositoryPaymentForInscription: Repository<PaymentForInscription>, repositoryDiscountCode: Repository<DiscountCode>, sendGrid: SendGridService);
    findAll(pageOptionsDto: PageOptionsDto): Promise<PageDto<Inscription>>;
    findOne(id: number): Promise<any>;
    create(dto: CreateInscriptionDto): Promise<any>;
    update(id: number, dto: CreateInscriptionDto): Promise<any>;
    remove(id: number): Promise<{
        message: string;
    }>;
    validateIdentity(identity: any): Promise<{
        message: string;
    }>;
    validateEmail(email: any): Promise<{
        message: string;
    }>;
    findValueParticipant(dto: any): Promise<number>;
    findMemberships(): Promise<Membership[]>;
    updateVoucher(dto: any): Promise<{
        message: string;
    }>;
    updatePayment(dto: any): Promise<void>;
    existCompany(dto: any): Promise<Company>;
    existManager(dto: any): Promise<Manager>;
    hasDiscount(dto: any): Promise<{
        status: boolean;
        message: string;
        value?: undefined;
    } | {
        status: boolean;
        message: string;
        value: number;
    }>;
    getValueDiscount(dto: any): Promise<number>;
    private createPayment;
    private generarNumeroOrden;
    private createCompany;
    private createManager;
    private findDuplicateRuc;
    private findDuplicateEmail;
    private createParticipants;
    private createParticipant;
    private createParticipantForInscription;
    private sendEmailManager;
    private imageToBase64;
    private sendEmailParticipants;
    private sendEmailParticipant;
    private isValidEmail;
    generateExcelData(filtersDto: FiltersDto): Promise<any[]>;
    generateExcelFile(data: any[]): Promise<string>;
    createReadableStream(filePath: string): Readable;
}
