import { CreateUserDto } from './dto/create-user.dto';
import { User } from './entities/user.entity';
import { Repository } from 'typeorm';
import { PageOptionsDto } from 'src/dtos-globals/page-options.dto';
import { PageDto } from 'src/dtos-globals/page.dto';
export declare class UsersService {
    private userRepository;
    constructor(userRepository: Repository<User>);
    findAll(pageOptionsDto: PageOptionsDto): Promise<PageDto<CreateUserDto>>;
    findOne(id: number): Promise<User>;
    findByDocument(document: string): Promise<User>;
    findByEmail(email: string): Promise<User>;
    create(dto: CreateUserDto): Promise<User | any>;
    update(id: number, dto: CreateUserDto): Promise<any>;
    remove(id: number): Promise<{
        message: string;
    }>;
}
